package com.uas.platform.b2b.data.support;

/**
 * 
 */
public class SpObserver {
	
	private static ThreadLocal<String> local = new ThreadLocal<String>();

	/**
	 * 切换数据源
	 * 
	 * @param sp
	 *            dbsource name
	 */
	public static void putSp(String sp) {
		local.set(sp);
	}

	public static String getSp() {
		return (String) local.get();
	}
}